
Core - Bug # 38099

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Susanne Moog Category:
Created: 2012-06-15 Assigned To: Susanne Moog
Updated: 2012-06-16 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Use dispatcher for perm extension
Description

Use the backend module dispatcher for the
prem (Access) extension.

Related issues:
related to Core - Bug # 62459: Link to ext:perm in clickmenu refers to index.... Resolved 2014-10-24

Associated revisions
Revision 80e1daa2 - 2012-06-16 13:59 - Susanne Moog

[FEATURE] Use mod dispatcher for the perm extension

Use the backend module dispatcher for the
perm (Access) extension.

Change-Id: I1b9566d4c37a5ab8221f70b46447786277c98bd2
Resolves: #38099
Releases: 6.0
Reviewed-on: http://review.typo3.org/12105
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision b1d8c135 - 2012-06-23 23:42 - Susanne Moog

[FEATURE] Use mod dispatcher for the perm extension

Use the backend module dispatcher for the
perm (Access) extension.

Change-Id: I1b9566d4c37a5ab8221f70b46447786277c98bd2
Resolves: #38099
Releases: 6.0
Reviewed-on: http://review.typo3.org/12105
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision b98e6450 - 2014-10-26 15:42 - Wouter Wolters

[BUGFIX] Link to ext:perm in clickmenu not working

The link refers directly to index.php instead of mod.php.
Use BackendUtility::getModuleUrl() for the link to fix the problem.

Resolves: #62459
Related: #38099
Releases: master, 6.2, 6.1
Change-Id: I3b86d97a4f35a96ca39af28e724067b5ec8a832f
Reviewed-on: http://review.typo3.org/33510
Reviewed-by: Tymoteusz Motylewski <t.motylewski@gmail.com>
Tested-by: Tymoteusz Motylewski <t.motylewski@gmail.com>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 9515f6ee - 2014-10-26 15:43 - Wouter Wolters

[BUGFIX] Link to ext:perm in clickmenu not working

The link refers directly to index.php instead of mod.php.
Use BackendUtility::getModuleUrl() for the link to fix the problem.

Change-Id: I7cdda9f592e331c95bbb3c5d301907bd77761ec5
Resolves: #62459
Related: #38099
Releases: master, 6.2, 6.1
Reviewed-on: http://review.typo3.org/33551
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2012-06-15 18:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12105

#2 - 2012-06-15 23:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12105
#3 - 2012-06-15 23:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12105

#4 - 2012-06-16 14:30 - Susanne Moog
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:80e1daa26eb237424baeab97e8aa0fd5421762d3.
